package gov.va.vinci.dart.json;

import java.util.ArrayList;
import java.util.List;

public class ErrorListView {

	private String msg;
	private List<String> errors = new ArrayList<String>();
	
	private boolean initiated = false;
	private boolean submitted = false;
	private List<String> status = new ArrayList<String>();
		


	public ErrorListView(String msg) {
		this.msg = msg;
	}
	
	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public List<String> getErrors() {
		return errors;
	}

	
	public boolean isInitiated() {
		return initiated;
	}

	public void setInitiated(boolean initiated) {
		this.initiated = initiated;
	}

	public boolean isSubmitted() {
		return submitted;
	}

	public void setSubmitted(boolean submitted) {
		this.submitted = submitted;
	}
	
	
	public List<String> getStatus() {
		return status;
	}
	
}
